save path = "\data";
load path = "\data";
loads path = "\data";

load _ex_vec_dat; 
loads _ex_vec_str; 
load gam_life; 
load ef_life; 
load mass; 
load sup; 
load _Rho; 
load _Omega; 
load _Sigma; 
load _a_life;        
load _pens_life;        
load _ax;        
load _n_life;        
load _c_life;        
load _int_vec;        
load _pens_vecw;        
load _utili;        
load _ay;        
load _az;        
load _nxyza;           

_nx=523.0000;           
_ny=1272.000;           
_nz=1.000000;           
_na=0.000000;           

// Exogenous Variables:

quarters=_ex_vec_dat[1,1]; 
tw=_ex_vec_dat[2,1]; 
tr=_ex_vec_dat[3,1]; 
tp=_ex_vec_dat[4,1]; 
eta=_ex_vec_dat[5,1]; 
betap=_ex_vec_dat[6,1]; 
phi_beq0=_ex_vec_dat[7,1]; 
phi_beq1=_ex_vec_dat[8,1]; 
eta_beq=_ex_vec_dat[9,1]; 
depr=_ex_vec_dat[10,1]; 
alpha=_ex_vec_dat[11,1]; 
beqtogov=_ex_vec_dat[12,1]; 
rep=_ex_vec_dat[13,1]; 
end_pens=_ex_vec_dat[14,1]; 
const_pen=_ex_vec_dat[15,1]; 
mu_debt=_ex_vec_dat[16,1]; 
mu_pens=_ex_vec_dat[17,1]; 
sig_tfp=_ex_vec_dat[18,1]; 
rho_tfp=_ex_vec_dat[19,1]; 
frisch=_ex_vec_dat[20,1]; 
ut_const=_ex_vec_dat[21,1]; 
tnobeq=_ex_vec_dat[22,1]; 
as_ufunc=_ex_vec_dat[23,1]; 
run_lin=_ex_vec_dat[24,1]; 
beq_ufunc=_ex_vec_dat[25,1]; 
min_age=_ex_vec_dat[26,1]; 
avg_hours=_ex_vec_dat[27,1]; 
mu_cons=_ex_vec_dat[28,1]; 
mu_capi=_ex_vec_dat[29,1]; 
mu_lumpt=_ex_vec_dat[30,1]; 

// Endogenous Variables:

a_life=dat_v(_a_life[1:260,.]);           
pens_life=dat_v(_pens_life[1:260,.]);           
k_ag=_ax[1,1];           
pens_fa=_ax[2,1];           
beq=_ax[3,1];           
n_life=dat_v(_n_life[1:216,.]);           
c_life=dat_v(_c_life[1:260,.]);           
int_vec=dat_v(_int_vec[1:260,.]);           
pens_vecw=dat_v(_pens_vecw[1:260,.]);           
utili=dat_v(_utili[1:260,.]);           
g_ag=_ay[1,1];           
i_ag=_ay[2,1];           
n_ag=_ay[3,1];           
y_ag=_ay[4,1];           
c_ag=_ay[5,1];           
beq_ag=_ay[6,1];           
w=_ay[7,1];           
r=_ay[8,1];           
tau_c=_ay[9,1];           
tau_k=_ay[10,1];           
tau_p=_ay[11,1];           
tau_g=_ay[12,1];           
gre=_ay[13,1];           
pens_w=_ay[14,1];           
pens_ag=_ay[15,1];           
lump_tax=_ay[16,1];           
tfp=_az[1,1];           

// Vector _w:
_w=zeros(_nx+_ny+_nz+_na,1);
#include procs/_procs_linearization.src;

_w[1:260,1]=a_life;           
_w[261:520,1]=pens_life;           
_w[521,1]=k_ag;           
_w[522,1]=pens_fa;           
_w[523,1]=beq;           
_w[524:739,1]=n_life;           
_w[740:999,1]=c_life;           
_w[1000:1259,1]=int_vec;           
_w[1260:1519,1]=pens_vecw;           
_w[1520:1779,1]=utili;           
_w[1780,1]=g_ag;           
_w[1781,1]=i_ag;           
_w[1782,1]=n_ag;           
_w[1783,1]=y_ag;           
_w[1784,1]=c_ag;           
_w[1785,1]=beq_ag;           
_w[1786,1]=w;           
_w[1787,1]=r;           
_w[1788,1]=tau_c;           
_w[1789,1]=tau_k;           
_w[1790,1]=tau_p;           
_w[1791,1]=tau_g;           
_w[1792,1]=gre;           
_w[1793,1]=pens_w;           
_w[1794,1]=pens_ag;           
_w[1795,1]=lump_tax;           
_w[1796,1]=tfp;           

//*******************************************
// Variables for Sys(_w):
//*******************************************

/*
local fx, nvar, eqc, age, a_life0, 
pens_life0, k_ag0, pens_fa0, beq0, 
n_life0, c_life0, int_vec0, pens_vecw0, 
utili0, g_ag0, i_ag0, n_ag0, y_ag0, 
c_ag0, beq_ag0, w0, r0, tau_c0, 
tau_k0, tau_p0, tau_g0, gre0, pens_w0, 
pens_ag0, lump_tax0, tfp0,
a_life1, pens_life1, k_ag1, pens_fa1, 
beq1, n_life1, c_life1, int_vec1, 
pens_vecw1, utili1, g_ag1, i_ag1, 
n_ag1, y_ag1, c_ag1, beq_ag1, w1, 
r1, tau_c1, tau_k1, tau_p1, tau_g1, 
gre1, pens_w1, pens_ag1, lump_tax1, 
tfp1;

fx=zeros((rows(_w)-2*_nz)/2,1);
nvar=rows(_w)/2;

a_life0=_w[1:260,1];           
pens_life0=_w[261:520,1];           
k_ag0=_w[521,1];           
pens_fa0=_w[522,1];           
beq0=_w[523,1];           
n_life0=_w[524:739,1];           
c_life0=_w[740:999,1];           
int_vec0=_w[1000:1259,1];           
pens_vecw0=_w[1260:1519,1];           
utili0=_w[1520:1779,1];           
g_ag0=_w[1780,1];           
i_ag0=_w[1781,1];           
n_ag0=_w[1782,1];           
y_ag0=_w[1783,1];           
c_ag0=_w[1784,1];           
beq_ag0=_w[1785,1];           
w0=_w[1786,1];           
r0=_w[1787,1];           
tau_c0=_w[1788,1];           
tau_k0=_w[1789,1];           
tau_p0=_w[1790,1];           
tau_g0=_w[1791,1];           
gre0=_w[1792,1];           
pens_w0=_w[1793,1];           
pens_ag0=_w[1794,1];           
lump_tax0=_w[1795,1];           
tfp0=_w[1796,1];           

a_life1=_w[(1+nvar):(260+nvar),1];                     
pens_life1=_w[(261+nvar):(520+nvar),1];                     
k_ag1=_w[(521+nvar),1];                     
pens_fa1=_w[(522+nvar),1];                     
beq1=_w[(523+nvar),1];                     
n_life1=_w[(524+nvar):(739+nvar),1];                     
c_life1=_w[(740+nvar):(999+nvar),1];                     
int_vec1=_w[(1000+nvar):(1259+nvar),1];                     
pens_vecw1=_w[(1260+nvar):(1519+nvar),1];                     
utili1=_w[(1520+nvar):(1779+nvar),1];                     
g_ag1=_w[(1780+nvar),1];                     
i_ag1=_w[(1781+nvar),1];                     
n_ag1=_w[(1782+nvar),1];                     
y_ag1=_w[(1783+nvar),1];                     
c_ag1=_w[(1784+nvar),1];                     
beq_ag1=_w[(1785+nvar),1];                     
w1=_w[(1786+nvar),1];                     
r1=_w[(1787+nvar),1];                     
tau_c1=_w[(1788+nvar),1];                     
tau_k1=_w[(1789+nvar),1];                     
tau_p1=_w[(1790+nvar),1];                     
tau_g1=_w[(1791+nvar),1];                     
gre1=_w[(1792+nvar),1];                     
pens_w1=_w[(1793+nvar),1];                     
pens_ag1=_w[(1794+nvar),1];                     
lump_tax1=_w[(1795+nvar),1];                     
tfp1=_w[(1796+nvar),1];                     
*/
