
//***********************************************************************
//***********************************************************************
// PROCEDURES: **********************************************************
//***********************************************************************
//***********************************************************************

//********************
// proc(1)=dat_v(mat):
//********************

proc(1)=dat_v(mat);
local erg,i;

    erg=zeros(rows(mat),1);
    i=1;
    do while i<=cols(mat);
    erg=erg|mat[.,i];
    i=i+1;
    endo;

    erg=erg[rows(mat)+1:rows(erg),.];

retp(erg);
endp;


//*******************************
// proc(0)=def_loc_w(vec_w,elem):
//*******************************

proc(0)=def_loc_w(vec_w,elem);

local def_w1,def_w2,def_w,dum_w2,i,fmat;

vec_w[.,1]$+"0=_w"$+vec_w[.,4]$+";"$+dum_str;
vec_w[.,1]$+"1=_w"$+vec_w[.,6]$+";"$+dum_str$+dum_str;

endp;


//**************************
// proc(0)=locals(mat,elem):
//**************************

proc(0)=locals(mat,elem);
local fmat,i,j,z,d,k;

mat="local fx, nvar, eqc, age,"$|mat;
fmat="";

d=1;
do while d<=2;

j=1;
do while j<=cols(mat);

    if d==1; z="0"; i=1; k=","; endif;
    if d==2; z="1"; i=2; k=";"; endif;
    
    do while i<=rows(mat);
    
    if j==1 and i==1;
    fmat=fmat$+mat[i,j]$+" ";
    elseif j==cols(mat) and i==rows(mat);
    fmat=fmat$+mat[i,j]$+z$+k;
    else;
    fmat=fmat$+mat[i,j]$+z$+", ";
    endif;
    
    if strlen(fmat)>elem or (strlen(fmat)<=elem and i==rows(mat));
    print fmat; fmat="";
    endif;

    i=i+1;
    endo;

j=j+1;
endo;

d=d+1;
fmat="";
endo;

print;
print "fx=zeros((rows(_w)-2*_nz)/2,1);";
print "nvar=rows(_w)/2;";

endp;


//****************************************************
// proc(3)=desc_cor(typ,nam,nam_sav,mat,z,r,v,dum,vc):
//****************************************************

proc(3)=desc_cor_ad(typ,nam,mat,z,r,v,vc);
local elem,i,nam_sav;
    
if vc==1;    
nam_sav="_"$+nam;
else;
nam_sav="_aa";         
endif;   

if vc==1;

    elem=rows(mat)*cols(mat);
    output on;

    _vec_var_def=_vec_var_def$|(nam$~typ$~ftocv(elem,1,0)$~ma(r,r+elem-1,1)$~"dat_v("$+nam_sav$+ma2(1,rows(mat),1)$+");"$~ma_nvar(r,r+elem-1,1)$~ma_imp(r,r+elem-1));

    r=r+elem;
    z=z+elem;

else;

    i=1;
    do while i<=rows(mat);
    output on;

    _vec_var_def=_vec_var_def$|(nam[i,1]$~typ$~ftocv(1,1,0)$~ma(r,r,1)$~nam_sav$+ma(i,i,1)$+";"$~ma_nvar(r,r,1)$~ma_imp(r,r));
  
    r=r+1;
    z=z+1;

    i=i+1;
    endo;

endif;

    _vec_var_load=_vec_var_load$|("load "$+nam_sav$+";       ");
    save ^nam_sav=mat;
    _vec_var_del=_vec_var_del$|("ret=DeleteFile(\""$+nam_sav$+".fmt\");");  
	v=v+1;

output off;
retp(z,r,v);
endp;


//**************************************************
// proc(2)=desc_cor(typ,nam,nam_sav,mat,z,r,dum,vc):
//**************************************************

proc(2)=desc_cor(typ,nam,mat,z,r,vc);
local elem,i,nam_sav;

if vc==1;    
nam_sav="_"$+nam;
else;
    
    if typ=="x";
    nam_sav="_ax";    
    elseif typ=="y";
    nam_sav="_ay";        
    elseif typ=="z";
    nam_sav="_az";        
    endif;
 
endif;   

if vc==1;

    elem=rows(mat)*cols(mat);
    output on;

    _vec_var_def=_vec_var_def$|(nam$~typ$~ftocv(elem,1,0)$~ma(r,r+elem-1,1)$~"dat_v("$+nam_sav$+ma2(1,rows(mat),1)$+");"$~ma_nvar(r,r+elem-1,1)$~ma_imp(r,r+elem-1));

    r=r+elem;
    z=z+elem;

else;

    i=1;
    do while i<=rows(mat);
    output on;

    _vec_var_def=_vec_var_def$|(nam[i,1]$~typ$~ftocv(1,1,0)$~ma(r,r,1)$~nam_sav$+ma(i,i,1)$+";"$~ma_nvar(r,r,1)$~ma_imp(r,r));
  
    r=r+1;
    z=z+1;

    i=i+1;
    endo;

endif;

    _vec_var_load=_vec_var_load$|("load "$+nam_sav$+";       ");
    save ^nam_sav=mat;
    _vec_var_del=_vec_var_del$|("ret=DeleteFile(\""$+nam_sav$+".fmt\");");  

output off;
retp(z,r);
endp;


//*******************
// proc(1)=ma(i,j,c):
//*******************

proc(1)=ma(i,j,c);
local str;
if i/=j;
str="["$+ftocv(i,1,0)$+":"$+ftocv(j,1,0)$+","$+ftocv(c,1,0)$+"]";
else;
str="["$+ftocv(i,1,0)$+","$+ftocv(c,1,0)$+"]";
endif;
retp(str);
endp;


//********************
// proc(1)=ma2(i,j,c);
//********************

proc(1)=ma2(i,j,c);
local str;
if i/=j;
str="["$+ftocv(i,1,0)$+":"$+ftocv(j,1,0)$+",.]";
else;
str="["$+ftocv(i,1,0)$+",.]";
endif;
retp(str);
endp;


//******************
// proc(1)=ma3(i,j);
//******************

proc(1)=ma3(i,j);
local str;
str="["$+ftocv(i,1,0)$+","$+ftocv(j,1,0)$+"]";
retp(str);
endp;


//*********************
// proc(1)=ma_imp(i,j);
//*********************

proc(1)=ma_imp(i,j);
local str;
if i/=j;
str="[.,"$+ftocv(i,1,0)$+":"$+ftocv(j,1,0)$+"]";
else;
str="[.,"$+ftocv(i,1,0)$+"]";
endif;
retp(str);
endp;


//************************
// proc(1)=ma_nvar(i,j,c);
//************************

proc(1)=ma_nvar(i,j,c);
local str;
if i/=j;
str="[("$+ftocv(i,1,0)$+"+nvar):("$+ftocv(j,1,0)$+"+nvar),"$+ftocv(c,1,0)$+"]";
else;
str="[("$+ftocv(i,1,0)$+"+nvar),"$+ftocv(c,1,0)$+"]";
endif;
retp(str);
endp;


//**********************************
// proc(0)=save_advars(nam_sav,mat):
//**********************************

proc(0)=save_advars(nam_sav,mat);

    _vec_var_load=_vec_var_load$|("load "$+nam_sav$+";");
    save ^nam_sav=mat;
    _vec_var_del=_vec_var_del$|("ret=DeleteFile(\""$+nam_sav$+".fmt\");");  

endp;

